Tag Archives: Rika Chaudhry

Toad Stools

parametric_page_1parametric_page_2parametric_page_31parametric_page_4parametric_page_5parametric_page_6

Advertisements

Toad Stool by Adrian, Rika, Sonal

 

stool1

Pseudo code

_input height

_adjust width (of base and top) according to height

_input number of sections

_loop depending on number of sections

_generate curves for sections

_generate surface from curves

_offset surface

_rotate sections around a point (angle based on number of sections)

_draw ellipse for seat based on width of top of sections

_make surface from ellipse, extrude

_get top profile of stool from rotated stool, use to cut notches in seat

_lay out for contour cut for mill

Final project proposal

Group :  Adrian, Sonal and Rika

Project:  Toadstools

Material: laminated wood/ chipboard, foam, MDF, maybe hardware.

Description: a series of stools that conforms to the physical aspects of the specific users. The stools come together to form a larger stoolscape.

Rika: vases… waves

‘Option Explicit
‘Script written by mark.bearak
‘Script modified by rika chaudhry
‘Script copyrighted by dtls.Architecture
‘Script version Tuesday, October 28, 2008

Call Main()
Sub Main()
 Dim arrPlane, arrPlane2, i, j, strCrv(), strInnerCrv()
 Dim intWidth : intWidth  = 8
 Dim intMatWidth : intMatWidth = .25
 Dim intTopWid : intTopWid = intWidth – 2
 For j = 0 To 5
  For i = 0 To 10
   ReDim Preserve strCrv(i)
   ReDim Preserve strInnerCrv(i)
   arrPlane = Rhino.PlaneFromPoints (Array(0,j*35,i*(j+1)), Array(1,j*35,i*(j+1)), Array(0,j*35+1,i*(j+1)))
   arrPlane2 = Rhino.PlaneFromPoints (Array(i+j,j*35,i*(j+1)), Array(i+j+1,j*35,i*(j+1)), Array(i+j,j*35+1,i*(j+1)))
   If i=j-4 Or i=j-2 Or i=j Or i=j+2 Or i=j+4  Then
    strCrv(i) = Rhino.Addellipse (arrPlane, intWidth+i-j,intWidth+i)
    strInnerCrv(i) = Rhino.Addellipse (arrPlane, intWidth+i-j-intMatWidth,intWidth+i-intMatWidth)
   Else
    strCrv(i) = Rhino.AddCircle (arrPlane2, intWidth+j-intTopWid)
    strInnerCrv(i) = Rhino.AddCircle (arrPlane2, intWidth+j-intTopWid-intMatWidth)
   End If
  Next
  Call Rhino.AddLoftSrf (strCrv,,,2)
  Call Rhino.AddLoftSrf (strInnerCrv,,,2)
  Call Rhino.deleteobjects (strCrv)
 Next
End Sub